petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMRestrict

restricts user-defined problem data to a coarser DM by running hooks registered by DMCoarsenHookAdd()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMRestrict(DM fine,Mat restrct,Vec rscale,Mat inject,DM coarse)

Collective if any hooks are

### Input Arguments

| fine | - finer DM to use as a base
| restrct | - restriction matrix, apply using MatRestrict()
| rscale | - scaling vector for restriction
| inject | - injection matrix, also use MatRestrict()
| coarse | - coarser DM to update

### See Also

DMCoarsenHookAdd(), MatRestrict()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages